package leads

// The structure represents
// response on the */leads .
type Leads struct {
	Page int `json:"_page"`
	Links struct {
		Self struct {
			Href string `json:"href"`
		} `json:"self"`
		Next struct {
			Href string `json:"href"`
		} `json:"next"`
		First struct {
			Href string `json:"first"`
		} `json:"first"`
		Prev struct {
			Href string `json:"href"`
		} `json:"prev"`
	} `json:"_links"`
	Embedded struct {
		Leads []Lead `json:"leads"`
	} `json:"_embedded"`
}

