package events

import (
	"fmt"
)

type Value struct {
	CustomFieldValue *CustomFieldValue `json:"custom_field_value,omitempty"`
}

type CustomFieldValue struct {
	EnumId int `json:"enum_id,omitempty"`
	FieldId int `json:"field_id"`
	FieldType int `json:"field_type"`
	Text string `json:"text"`
}

func CustomFieldValueChanged(ids ...int64) []string {
	ret := make([]string, len(ids))
	for i, id := range ids {
		ret[i] = fmt.Sprintf("custom_field_%d_value_changed", id)
	}
	return ret
}

